Subject: Re: linux-next: Fixes tag needs some work in the wireless-drivers-next tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 15 Apr 2020 11:06:49 +1000

Hi Larry,

On Tue, 14 Apr 2020 19:36:28 -0500 Larry Finger <[email-masked]> wrote:
>
> On 4/14/20 5:08 PM, Stephen Rothwell wrote:
> > 
> > In commit
> > 
> >    ec4d3e3a0545 ("b43legacy: Fix case where channel status is corrupted")
> > 
> > Fixes tag
> > 
> >    Fixes: 75388acd0cd8 ("add mac80211-based driver for legacy BCM43xx devices")
> > 
> > has these problem(s):
> > 
> >    - Subject does not match target commit subject
> >      Just use
> > 	git log -1 --format='Fixes: %h ("%s")'
> 
> I do not understand what you want here. The subject describes what was fixed. 
> The error has been in the driver since it was merged. The Fixes: line is a 
> description of the commit that introduced the driver file with the error.

The subject I was referring to is the subject quoted in the Fixes tag,
not the subject of the fixing commit.  So:

Fixes: 75388acd0cd8 ("[B43LEGACY]: add mac80211-based driver for legacy BCM43xx devices")

Its not very important, just a consistency thing - I wouldn't bother
rebasing just to fix this, just for the future ...
-- 
Cheers,
Stephen Rothwell